/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.databinding.jaxb.tools;

public interface DataBindingConstants {
		
	/** The simple name of the JAXB factory class **/
	public static final String JAXB_FACTORY_CLASS_NAME = "ObjectFactory";
	
	/** The Date class name **/
	public static final String DATE_CLASS_NAME = "java.util.Date";
	
	/** The Calendar class name **/
	public static final String CALENDAR_CLASS_NAME ="java.util.Calendar";
	
	/** The XMLGregorianCalendar class name **/
	public static final String XMLCALENDAR_CLASS_NAME = "javax.xml.datatype.XMLGregorianCalendar";
	
	/** The SQL Date class name **/ 
	public static final String SQL_DATE_CLASS_NAME = "java.sql.Date";
	
}
